Loyalty.lt
Authentication

Generate QR Login Session

Generate a QR code session for authentication

POST/{locale}/shop/auth/qr-login/generate

Generate a QR code session for authentication

Authorization

apiKey apiSecret
X-API-Key<token>

Partner API key from the Partners Portal. Always sent together with X-API-Secret.

In: header

X-API-Secret<token>

Partner API secret. Always sent together with X-API-Key.

In: header

Path Parameters

locale*string

Locale code

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/en/shop/auth/qr-login/generate" \  -H "Content-Type: application/json" \  -d '{}'
{  "success": true,  "data": {    "session_id": "550e8400-e29b-41d4-a716-446655440000",    "qr_code": "abcd1234efgh5678",    "manual_code": "481-205-937",    "expires_at": "2019-08-24T14:15:22Z"  }}